// api.jshttp://zlink.bjdexn.cn
// const baseUrl = 'https://www.bjdexn.cn:8443';  // 替换为您的接口基础 URL
const baseUrl = 'https://esos-iot.bjdexn.cn';  // 线上
// const baseUrl = 'https://economicalplus.site';  // 线上

// const baseUrl = 'http://192.168.8.105:8888';  // 替换为您的接口基础 URL
// 
// 封装网络请求方法 
function request(url, method, data) {
  return new Promise((resolve, reject) => {
   if (url!='/platform/login') {
    wx.request({
      url: baseUrl + url,
      header: {
        "Cookie":`${wx.getStorageSync('cookies')}`,
        'Content-Type': 'application/x-www-form-urlencoded'},
      method: method,
      data:data,
      success:function(res) {
        console.log(res.cookies.length==0);
        // 请求成功处理
        if (res.statusCode === 200 && res.data.code==0) {
          resolve(res.data);
        } else if(res.statusCode === 320||res.statusCode === 403||res.statusCode === 401||res.statusCode === 400||res.cookies.length==0) {
          wx.clearStorage({
            success: function() {
              // wx.showToast({
              //   title: '缓存清除成功',
              //   icon: 'success'
              // });
              wx.navigateTo({
                url: '/pages/login/index', // 登录页面的路径，注意路径前面加上 '/' 表示从根目录开始
              });
            }
          });
        }else{
          reject(res.data);
          // wx.navigateTo({
          //   url: '/pages/login/index', // 登录页面的路径，注意路径前面加上 '/' 表示从根目录开始
          // });
        }
      },
      fail:function(err) {
        console.log(err);
        wx.clearStorage({
          success: function() {
            // wx.showToast({
            //   title: '缓存清除成功',
            //   icon: 'success'
            // });
            wx.navigateTo({
              url: '/pages/login/index', // 登录页面的路径，注意路径前面加上 '/' 表示从根目录开始
            });
          }
        });
      }
    });
   }else{
    wx.request({
      url: baseUrl + url,
      header: {
        'Content-Type': 'application/x-www-form-urlencoded'},
      method: method,
      data:data,
      success:function(res) {
        // 请求成功处理
        if (res.statusCode === 200) {
          resolve(res.data);
        } else {
          reject(res.data);
        }
      },
      fail:function(err) {
        // wx.navigateTo({
        //   url: '/pages/login/index', // 登录页面的路径，注意路径前面加上 '/' 表示从根目录开始
        // });
      }
    });
   }
       
      });
  }
// 导出封装的请求方法
module.exports = {
  request: request
};

// // 在需要使用网络请求的页面中引入封装的 api.js 文件
// const api = require('api.js');

// // 示例：发送一个 GET 请求
// api.request('/users', 'GET')
//   .then((res) => {
//     console.log('请求成功：', res);
//     // 在这里处理返回的数据
//   })
//   .catch((err) => {
//     console.error('请求失败：', err);
//     // 在这里处理请求失败的情况
//   });

// // 示例：发送一个 POST 请求
// api.request('/users', 'POST', { name: 'John', age: 30 })
//   .then((res) => {
//     console.log('请求成功：', res);
//     // 在这里处理返回的数据
//   })
//   .catch((err) => {
//     console.error('请求失败：', err);
//     // 在这里处理请求失败的情况
//  });
// 